Loading...
Searching...
No Matches
elastix::MovingShrinkingPyramid< TElastix > Class Template Reference
Components » ImagePyramids

`#include <elxMovingShrinkingPyramid.h>`

## Detailed Description

template<class TElastix>
class elastix::MovingShrinkingPyramid< TElastix >

A pyramid based on the itk::MultiResolutionShrinkPyramidImageFilter.

The parameters used in this class are:

Parameters
  FixedImagePyramid: Select this pyramid as follows:
  (MovingImagePyramid "MovingShrinkingImagePyramid")

Definition at line 39 of file elxMovingShrinkingPyramid.h.

Inheritance diagram for elastix::MovingShrinkingPyramid< TElastix >:
[legend]

## Public Types

using | ConstPointer = itk::SmartPointer<const Self>
using | ITKBaseType = typename Superclass2::ITKBaseType
using | Pointer = itk::SmartPointer<Self>
using | Self = MovingShrinkingPyramid
using | Superclass1
using | Superclass2 = MovingImagePyramidBase<TElastix>
Public Types inherited from itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >
using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = MultiResolutionShrinkPyramidImageFilter
using | Superclass = MultiResolutionPyramidImageFilter<TInputImage, TOutputImage>
Public Types inherited from elastix::MovingImagePyramidBase< TElastix >
using | ElastixType
using | InputImageType = typename ElastixType::MovingImageType
using | ITKBaseType = itk::MultiResolutionPyramidImageFilter<InputImageType, OutputImageType>
using | OutputImageType = typename ElastixType::MovingImageType
using | RegistrationType
using | ScheduleType = typename ITKBaseType::ScheduleType
using | Self = MovingImagePyramidBase
using | Superclass = BaseComponentSE<TElastix>
Public Types inherited from elastix::BaseComponentSE< TElastix >
using | ElastixType = TElastix
using | RegistrationType = typename ElastixType::RegistrationBaseType
using | Self = BaseComponentSE
using | Superclass = BaseComponent

## Public Member Functions

| elxClassNameMacro ("MovingShrinkingImagePyramid")
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (MovingShrinkingPyramid)
| itkStaticConstMacro (ImageDimension, unsigned int, Superclass1::ImageDimension)
Public Member Functions inherited from itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >
void | GenerateInputRequestedRegion () override
| ITK_DISALLOW_COPY_AND_MOVE (MultiResolutionShrinkPyramidImageFilter)
| itkStaticConstMacro (ImageDimension, unsigned int, TInputImage::ImageDimension)
| itkStaticConstMacro (OutputImageDimension, unsigned int, TOutputImage::ImageDimension)
Public Member Functions inherited from elastix::MovingImagePyramidBase< TElastix >
void | BeforeEachResolutionBase () override
void | BeforeRegistrationBase () override
ITKBaseType * | GetAsITKBaseType ()
const ITKBaseType * | GetAsITKBaseType () const
| ITK_DISALLOW_COPY_AND_MOVE (MovingImagePyramidBase)
virtual void | SetMovingSchedule ()
void | WritePyramidImage (const std::string &filename, const unsigned int level)
Public Member Functions inherited from elastix::BaseComponentSE< TElastix >
void | AddTargetCellToIterationInfo (const char *const name)
const Configuration * | GetConfiguration () const
ElastixType * | GetElastix () const
auto & | GetIterationInfoAt (const char *const name)
RegistrationType * | GetRegistration () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponentSE)
void | RemoveTargetCellFromIterationInfo (const char *const name)
void | SetConfiguration (const Configuration *_arg)
void | SetElastix (ElastixType *_arg)
Public Member Functions inherited from elastix::BaseComponent
virtual void | AfterEachIteration ()
virtual void | AfterEachIterationBase ()
virtual void | AfterEachResolution ()
virtual void | AfterEachResolutionBase ()
virtual void | AfterRegistration ()
virtual void | AfterRegistrationBase ()
virtual int | BeforeAll ()
virtual int | BeforeAllBase ()
virtual void | BeforeEachResolution ()
virtual void | BeforeRegistration ()
virtual const char * | elxGetClassName () const
const char * | GetComponentLabel () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponent)
| itkTypeMacroNoParent (BaseComponent)
void | SetComponentLabel (const char *label, unsigned int idx)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >
static Pointer | New ()
Static Public Member Functions inherited from elastix::BaseComponent
template<typename TBaseComponent>
static auto | AsITKBaseType (TBaseComponent *const baseComponent) -> decltype(baseComponent->GetAsITKBaseType())
static void | InitializeElastixExecutable ()
static bool | IsElastixLibrary ()

## Protected Member Functions

| MovingShrinkingPyramid ()=default
| ~MovingShrinkingPyramid () override=default
Protected Member Functions inherited from itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >
void | GenerateData () override
| MultiResolutionShrinkPyramidImageFilter ()=default
| ~MultiResolutionShrinkPyramidImageFilter () override=default
Protected Member Functions inherited from elastix::MovingImagePyramidBase< TElastix >
| MovingImagePyramidBase ()=default
| ~MovingImagePyramidBase () override=default
Protected Member Functions inherited from elastix::BaseComponentSE< TElastix >
| BaseComponentSE ()=default
| ~BaseComponentSE () override=default
Protected Member Functions inherited from elastix::BaseComponent
| BaseComponent ()=default
virtual | ~BaseComponent ()=default

## Private Attributes

| elxOverrideGetSelfMacro

## Additional Inherited Members

Protected Attributes inherited from elastix::BaseComponentSE< TElastix >
Configuration::ConstPointer | m_Configuration {}
itk::WeakPointer< TElastix > | m_Elastix {}
RegistrationType * | m_Registration {}

## Member Typedef Documentation

## ConstPointer

template<class TElastix>

using elastix::MovingShrinkingPyramid< TElastix >::ConstPointer = itk::SmartPointer<const Self>

Definition at line 54 of file elxMovingShrinkingPyramid.h.

## ITKBaseType

template<class TElastix>

using elastix::MovingShrinkingPyramid< TElastix >::ITKBaseType = typename Superclass2::ITKBaseType

Definition at line 82 of file elxMovingShrinkingPyramid.h.

## Pointer

template<class TElastix>

using elastix::MovingShrinkingPyramid< TElastix >::Pointer = itk::SmartPointer<Self>

Definition at line 53 of file elxMovingShrinkingPyramid.h.

## Self

template<class TElastix>

using elastix::MovingShrinkingPyramid< TElastix >::Self = MovingShrinkingPyramid

Standard ITK-stuff.

Definition at line 48 of file elxMovingShrinkingPyramid.h.

## Superclass1

template<class TElastix>

using elastix::MovingShrinkingPyramid< TElastix >::Superclass1

Initial value:
itk::MultiResolutionShrinkPyramidImageFilter<typename MovingImagePyramidBase<TElastix>::InputImageType,
typename MovingImagePyramidBase<TElastix>::OutputImageType>
elastix::MovingImagePyramidBase::OutputImageType
typename ElastixType::MovingImageType OutputImageType
Definition elxMovingImagePyramidBase.h:78
itk::MultiResolutionShrinkPyramidImageFilter
Framework for creating images in a multi-resolution pyramid.
Definition itkMultiResolutionShrinkPyramidImageFilter.h:41

Definition at line 49 of file elxMovingShrinkingPyramid.h.

## Superclass2

template<class TElastix>

using elastix::MovingShrinkingPyramid< TElastix >::Superclass2 = MovingImagePyramidBase<TElastix>

Definition at line 52 of file elxMovingShrinkingPyramid.h.

## Constructor & Destructor Documentation

## MovingShrinkingPyramid()

template<class TElastix>

elastix::MovingShrinkingPyramid< TElastix >::MovingShrinkingPyramid | ( |  | ) |

protected default

The constructor.

## ~MovingShrinkingPyramid()

template<class TElastix>

elastix::MovingShrinkingPyramid< TElastix >::~MovingShrinkingPyramid | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## elxClassNameMacro()

template<class TElastix>

elastix::MovingShrinkingPyramid< TElastix >::elxClassNameMacro | ( | "MovingShrinkingImagePyramid" |  | ) |

Name of this class. Use this name in the parameter file to select this specific pyramid.
example: (MovingImagePyramid "MovingShrinkingImagePyramid")

## GetClassName()

template<class TElastix>

virtual const char * elastix::MovingShrinkingPyramid< TElastix >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TElastix>

elastix::MovingShrinkingPyramid< TElastix >::ITK_DISALLOW_COPY_AND_MOVE | ( | MovingShrinkingPyramid< TElastix > |  | ) |

## itkStaticConstMacro()

template<class TElastix>

elastix::MovingShrinkingPyramid< TElastix >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | Superclass1::ImageDimension | )

Get the ImageDimension.

## New()

template<class TElastix>

Pointer elastix::MovingShrinkingPyramid< TElastix >::New | ( |  | ) |

static

Method for creation through the object factory.

## Field Documentation

## elxOverrideGetSelfMacro

template<class TElastix>

elastix::MovingShrinkingPyramid< TElastix >::elxOverrideGetSelfMacro

private

Definition at line 91 of file elxMovingShrinkingPyramid.h.

Generated on 1768596610 for elastix by 1.15.0 |